import 'package:flutter/material.dart';

import 'current_profile_button.dart';

class StandardAppBar {
  static AppBar build(BuildContext context, String title,
      {bool withDrawer = false, List<Widget>? actions}) {
    return AppBar(
      leading: withDrawer ? buildCurrentProfileButton(context) : null,
      title: Text(
        title,
        overflow: TextOverflow.ellipsis,
      ),
      actions: actions,
    );
  }
}
