import '../../models/link_preview_data.dart';

extension LinkPreviewExtension on LinkPreviewData {
  String toBodyAttachment() {
    if (selectedImageUrl.isEmpty) {
      return "[attachment type='link' url='$link' title='$title']$description[/attachment]";
    }

    return "[attachment type='link' url='$link' title='$title' image='$selectedImageUrl']$description[/attachment]";
  }
}
